Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# iterator_type Struct Template Reference
[xxx_type]

`#include <metafunctions.hpp>`

## Detailed Description

### template<typename T, typename L, bool IsPlanar = false, bool IsStep = false, bool IsMutable = true>
struct boost::gil::iterator_type< T, L, IsPlanar, IsStep, IsMutable >

Returns the type of a homogeneous iterator given the channel type, layout, whether it operates on planar data, whether it is a step iterator, and whether it is mutable.

The documentation for this struct was generated from the following file:

- metafunctions.hpp